
// IODlg.h: 头文件
//

#pragma once


// CIODlg 对话框
class CIODlg : public CDialogEx
{
// 构造
public:
	CIODlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_IO_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	WORD cardConnectNo; //卡的连接号

	int reuseIoIndex; //虚拟IO的索引
	int reuseAxisOrIoIndex; //IO复用轴或IO的索引

	int mapAxisOrIoIndex;//IO映射轴或IO的索引

	CComboBox ioReuseType;
	CComboBox axisIoType;
	CComboBox ioMapType;
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnBnClickedButton15();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

private:
	void BitSetPictureBoxState(DWORD inputIndex,byte state);
	void PortSetPictureBoxState(DWORD inputState_uint);
	void PtrSetPictureBoxState(int startIndex, int inputNum, unsigned long long  inputState);

	void BitSetOutputState(DWORD ouputIndex, byte state);
	void PortSetOutputState(DWORD outputState);
	void PtrSetOutputState(int startIndex, int outputNum, unsigned long long  outputState);
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	CStatic output0;
};
